Bug 208239 - Root mount prompt input problem.
Summary: Root mount prompt input problem.
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords: vt
Depends on:
Blocks:
 
Reported: 2016-03-23 12:56 UTC by Edward Tomasz Napierala
Modified: 2020-05-30 15:54 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Tomasz Napierala freebsd_committer 2016-03-23 12:56:32 UTC
There's some problem with keyboard input in the root mount prompt ("boot -a" in loader(8)) - the characters don't get echoed when keys are pressed; pressing Enter usually - but not always - make them appear.  This might be either a keyboard problem, or a problem with refreshing the display.

This is on Thinkpad T420, keyboard is handled via atkbd(4), console is VT.
Comment 1 Edward Tomasz Napierala freebsd_committer 2016-03-23 13:02:03 UTC
The problem does not occur with syscons, ie after "set kern.vty=sc" in the loader prompt.
Comment 2 Jean-Sébastien Pédron freebsd_committer 2016-03-23 13:18:42 UTC
I confirm this is a known issue with vt(4): it uses a callout to refresh the screen, but for reasons unknown to me, the callout is not called anymore on mountroot prompt. I tried to debug this but failed. Since then, I didn't have time to work on this again.

So maybe callouts are disabled in this situation. If there is a way to detect that, then vt(4) can go back to a "synchronous mode" where it refreshes the screen after each typed character, like it does when ddb is active.
Comment 3 Martin Birgmeier 2016-04-06 06:32:57 UTC
I have the same problem.

Scenario:
- updated from 10.2 to 10.3
- ataahci (which I was using) is not here any more, therefore root mount not found
- boot drops to mountroot> prompt

Result:
- Cannot reliably input characters at the mountroot> prompt; sometimes some seem to be accepted
- Machine needs to be hard reset for another boot

Expected result:
- It should be possible to input characters at themountroot> prompt
Comment 4 Ed Maste freebsd_committer 2018-04-13 00:34:33 UTC
Fixed in HEAD with r331294 / https://reviews.freebsd.org/D14712; stable/11 TBD
Comment 5 Martin Birgmeier 2020-05-30 15:54:32 UTC
Has this been merged at least to 12.x? Could it be closed?

-- Martin